Name: libgtkmm2
Version: 2.1.3
Release: alt1

%define realname gtkmm
%define realname2 gtkmm-2.0

Summary: A C++ interface for GTK2 (a GUI library for X).
Summary(ru_RU.KOI8-R):   C++  GTK2 (GUI-  X).
License: LGPL
Group: System/Libraries
URL: http://gtkmm.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.sourceforge.net/pub/sourceforge/gtkmm/%realname-%version.tar.bz2

Provides: %realname = %version

# Automatically added by buildreq on Mon Nov 25 2002
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ glib2-devel libXft libatk-devel libexpat libgtk+2-devel libpango-devel libsigc++1.2-devel libstdc++-devel pkgconfig

BuildRequires: libsigc++1.2-devel >= 1.2.0, glib2-devel >= 2.0.4
BuildRequires: atk-devel >= 1.0.0, pango-devel >= 1.0.0, libgtk+2-devel >= 2.2.0

%def_disable static

%package devel
Summary: Headers for developing programs that will use %name.
Summary(ru_RU.KOI8-R):     ,  %{name}.
Group: Development/C++
Requires: %name = %version-%release, libgtk+2-devel, glib2-devel, libsigc++1.2-devel
Provides: %realname-devel = %version

%package doc
Summary: Documentation for developing with %name.
Summary(ru_RU.KOI8-R):     %name.
Group: Development/C++

%package examples
Summary: Examples for developing programs that will use %name
Summary(ru_RU.KOI8-R):      %name
Group: Development/C++
Requires: %name-devel = %version-%release
Provides: %realname-examples = %version

%description
gtkmm provides a C++ interface to the GTK+ GUI library. gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%description -l ru_RU.KOI8-R
gtkmm   C++   
  GTK+. gtkmm2   GTK+ 2.
     ,
,      
 ,    
    .

%description devel
This package contains the static libraries and header files needed for
developing gtkmm applications.

%description devel -l ru_RU.KOI8-R
       ,
      gtkmm.

%description doc
This package contains the documentation for
developing gtkmm applications.

%description doc -l ru_RU.KOI8-R
        gtkmm.

%description examples
The %name-devel package contains source code of example programs for %name.

%description examples -l ru_RU.KOI8-R
 %name-devel       %name.

%prep
%setup -q -n %realname-%version

%build
%configure \
	--disable-maintainer-mode \
	%{subst_enable static} \
	--enable-shared \
	--enable-docs

%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

cp -a examples $RPM_BUILD_ROOT%_libdir/%realname2
pushd $RPM_BUILD_ROOT%_libdir/%realname2/examples
	find -type d \( -name .libs -o -name .deps \) -print0 |
		xargs -r0 rm -rf
	find -type f -print0 |xargs -r0 file |
		egrep '(relocatable|executable|shell script)' |
		cut -d: -f1 |xargs -r rm -fv
	cat <<EOF >examples.conf
CXXCOMPILE = g++ -c -o \$@ \`pkg-config --cflags %realname2\` $RPM_OPT_FLAGS
CXXLINK = g++ -o \$@ \`pkg-config --libs %realname2\` $RPM_OPT_FLAGS
CXXBUILD = g++ \$< -o \$@ \`pkg-config --cflags --libs %realname2\` $RPM_OPT_FLAGS
EOF
	find -type f -name Makefile |xargs perl -pi -e \
		's|^(CONFIG_HEADER\s*=\s*).*|$1|g;
		s|^(DEFS\s*=\s*).*|$1|g;
		s|^(INCLUDES\s*=\s*).*|$1`pkg-config --cflags %realname2`|g;
		s|^(LDADD\s*=\s*).*|$1`pkg-config --libs %realname2`|g;
		s|^(top_[a-z]*dir\s*=\s*).*|$1%_libdir/%realname2/examples|g;
		s|\.\./\.\./src|%_includedir|g;
		s|../../(g[dt]k--config.h)|%_libdir/%realname2/include/$1|g;
		s|\.\./\.\./gdk--/gdk--|%_includedir/gdk--|g;
		s|\.\./\.\.|%_includedir|g;
		s|\$\(top_builddir\)/[^.]*/libg[dt]kmm.la||g;
		s/\$\(LIBTOOL\) --mode=(compile|link) //g'
popd
cp -p config.status $RPM_BUILD_ROOT%_libdir/%realname2/examples

rm -rf $RPM_BUILD_ROOT%_defaultdocdir/%name-doc-%version
cp -a $RPM_BUILD_ROOT%_defaultdocdir/%realname2 $RPM_BUILD_ROOT%_defaultdocdir/%name-doc-%version
cp -f docs/FAQ/html/index.html FAQ.html

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README FAQ.html
%_libdir/*.so.*

%files devel
%doc AUTHORS ChangeLog NEWS README
#%_bindir/*
%_libdir/*.so
%_libdir/*.*a
%_libdir/pkgconfig/*
%_includedir/*
%dir %_libdir/%realname2
%_libdir/%realname2/include
#%_libdir/%realname2/proc

%files doc
%dir %_defaultdocdir/%name-doc-%version
%doc %_defaultdocdir/%name-doc-%version/[a-z]*

%files examples
%dir %_libdir/%realname2
%_libdir/%realname2/examples

%changelog
* Mon Jan 06 2003 Vitaly Lipatov <lav@altlinux.ru> 2.1.3-alt1
- new version

* Mon Nov 25 2002 Vitaly Lipatov <lav@altlinux.ru> 2.0.1-alt1.1
- fix error in copying FAQ.html from doc
- summary and description were translated into russian
- cleanup spec
- add pkgconfig directory to the files section

* Mon Nov 25 2002 Vitaly Lipatov <lav@altlinux.ru> 2.0.1-alt1
- new version for gtk+2
- new subpacket doc

* Wed Sep 18 2002 Stanislav Ievlev <inger@altlinux.ru> 1:1.2.10-alt1.1
- rebuild with new XFree86

* Tue Sep 10 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.2.10-alt1
- 1.2.10
- Bumped soname for g++ >= 3.2
- Updated %%post/%%postun scripts.

* Wed Apr 10 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.9-alt1
- 1.2.9

* Wed Nov 07 2001 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.8-alt2
- Corrected requires for devel subpackage.

* Tue Nov 06 2001 Dmitry V. Levin <ldv@alt-linux.org> 1:1.2.8-alt1
- 1.2.8

* Tue Aug 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2.7-alt1
- 1.2.7
- Libification.

* Wed Apr 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2.5-ipl2mdk
- Rebuilt with gtk+-1.2.10.

* Sat Feb 17 2001 Dmitry V. Levin <ldv@fandra.org> 1.2.5-ipl1mdk
- 1.2.5

* Sun Nov 19 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.4-ipl1mdk
- 1.2.4
- Split into three packages: %name, %name-devel and %name-examples.
- Fixed Makefiles in %name-exmaples to allow build after installation.

* Sun Oct 01 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.3-ipl1mdk
- 1.2.3
- Patched to build with glibc-2.1.94 & gcc-2.96.
- Automatically added build requires.

* Sun Apr 16 2000 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Sat Apr  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0pre1-1mdk
- can actually be used now!
- new url

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 1.1.8-2mdk
- Fix group and other specs subtilities

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- back in contribs
- mandrake build

* Sun Jan  2 2000 Herbert Valerio Riedel <hvr@gnu.org>
- examples should be makeable now

* Sun Dec 26 1999 Herbert Valerio Riedel <hvr@gnu.org>
- commented out manpages for now...

* Sat Dec 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added dependancies on libsigc++

* Sat Nov  6 1999 Herbert Valerio Riedel <hvr@gnu.org>
- cleanup for 1.1.x
- changed rpm package name from Gtk-- to gtkmm
- removed that static hack

* Sat Oct 21 1999 Karl Einar Nelson <kenelson@ece.ucdavis.edu>
- Changed dist from Gtk--- to gtkmm-

* Sat Sep 11 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added SMP support
- added custom release feature

* Sun Aug  1 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.1.x

* Thu Jul 29 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.0.x
- Merged in changes from redhat's gtk--.spec
- conditional build of static libraries by define 'STATIC'

* Thu May 10 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.3

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with gtk---devel requiring libgtk-- (not gtk--).  Oops.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with most of the headers not being included.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.1

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed to build gtk-- and gtk---devel packages.

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- First (s)rpm build.

